/*
 * Code for class WEL_NETWORKING_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F435_7530(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7531(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7532(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7533(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7534(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7535(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7536(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7537(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7538(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7539(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7540(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7541(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7542(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7543(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7544(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7545(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7546(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7547(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7548(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7549(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7550(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7551(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7552(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7553(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7554(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7555(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7556(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7557(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7558(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7559(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7560(EIF_REFERENCE);
extern EIF_TYPED_VALUE F435_7561(EIF_REFERENCE);
extern void EIF_Minit435(void);

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {WEL_NETWORKING_CONSTANTS}.max_path */
EIF_TYPED_VALUE F435_7530 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 260L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.connect_interactive */
EIF_TYPED_VALUE F435_7531 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.connect_prompt */
EIF_TYPED_VALUE F435_7532 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.connect_redirect */
EIF_TYPED_VALUE F435_7533 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 128L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.connect_update_profile */
EIF_TYPED_VALUE F435_7534 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.connect_localdrive */
EIF_TYPED_VALUE F435_7535 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 256L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_connected */
EIF_TYPED_VALUE F435_7536 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_globalnet */
EIF_TYPED_VALUE F435_7537 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_remembered */
EIF_TYPED_VALUE F435_7538 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_type_any */
EIF_TYPED_VALUE F435_7539 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_type_disk */
EIF_TYPED_VALUE F435_7540 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_type_print */
EIF_TYPED_VALUE F435_7541 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_display_type_domain */
EIF_TYPED_VALUE F435_7542 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_display_type_server */
EIF_TYPED_VALUE F435_7543 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_display_type_share */
EIF_TYPED_VALUE F435_7544 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_display_type_generic */
EIF_TYPED_VALUE F435_7545 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_usage_connectable */
EIF_TYPED_VALUE F435_7546 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.resource_usage_container */
EIF_TYPED_VALUE F435_7547 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_access_denied */
EIF_TYPED_VALUE F435_7548 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_already_assigned */
EIF_TYPED_VALUE F435_7549 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 85L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_bad_device */
EIF_TYPED_VALUE F435_7550 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1200L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_bad_net_name */
EIF_TYPED_VALUE F435_7551 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 67L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_bad_provider */
EIF_TYPED_VALUE F435_7552 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1204L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_cancelled */
EIF_TYPED_VALUE F435_7553 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1223L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_extended_error */
EIF_TYPED_VALUE F435_7554 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1208L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_invalid_address */
EIF_TYPED_VALUE F435_7555 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 487L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_invalid_parameter */
EIF_TYPED_VALUE F435_7556 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 87L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_invalid_password */
EIF_TYPED_VALUE F435_7557 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 86L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_more_data */
EIF_TYPED_VALUE F435_7558 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 234L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_no_more_items */
EIF_TYPED_VALUE F435_7559 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 259L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_no_net_or_bad_path */
EIF_TYPED_VALUE F435_7560 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1203L);
	return r;
}

/* {WEL_NETWORKING_CONSTANTS}.error_no_network */
EIF_TYPED_VALUE F435_7561 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1222L);
	return r;
}

void EIF_Minit435 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
